package pl.alx.testtaskow2;

import android.os.Bundle;
import android.os.Process;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class Aktywnosc2 extends Activity {

	private int aktywnosc = 2;
	private int licznik = 1;
	
	@Override
	protected void onSaveInstanceState(Bundle outState) {
		outState.putInt("licznik", licznik);
		super.onSaveInstanceState(outState);
	}
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.aktywnosc);
		if (savedInstanceState != null) {
			licznik = savedInstanceState.getInt("licznik", 1);
			((Button) findViewById(R.id.licznik)).setText("" + licznik);
		}
		Bundle extras = getIntent().getExtras();
		int parametr = -2;
		if (extras != null) {
			parametr = extras.getInt("parametr", -1);
		}
		((TextView) findViewById(R.id.tekst)).setText(
				String.format("aktywno %d, aplikacja TT2, obiekt: %x, parametr: %d, PID: %x", 
				aktywnosc, this.hashCode(), parametr, Process.myPid()));
		((Button) findViewById(R.id.guzik)).setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent i = new Intent("TT2A1");
				i.putExtra("parametr", licznik);
				startActivity(i);
			}
		});
		((Button) findViewById(R.id.licznik)).setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				((Button) v).setText("" + (++licznik));
			}
		});
	}

}
